OpenVDB 13.0.0

Loading...
Searching...
No Matches
LeafNode< bool, Log2Dim >::ValueConverter< ValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T. More...

`#include <openvdb/tree/LeafNodeBool.h>`

## Public Types
using | Type = LeafNode<ValueType, Log2Dim>

## Detailed Description

template<Index Log2Dim>
template<typename ValueType>
struct openvdb::v13_0::tree::LeafNode< bool, Log2Dim >::ValueConverter< ValueType >

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

template<Index Log2Dim>
template<typename ValueType>

using Type = LeafNode<ValueType, Log2Dim>